{% extends "navbarAdmin.html" %}
{% load static %}
{% block content %}
<div class="card mb-3">
  <div class="card-header">
    <i class="fa fa-table"></i> Dashboard
  </div>
  <div class="card-body">
    <div><button id="refresh" onclick="refreshTable()"><i class="fa fa-refresh"></i> Refresh</button></div>
    <hr>
    <div class="table-responsive">
      <table class="table table-bordered" id="ticketTable" width="100%" cellspacing="0">
        <thead>
          <tr>
            <th>Ticket Id</th>
            <th>Order Id</th>
            <th>Name</th>
            <th>Email</th>
            <th>Phone</th>
            <th>Is Redeemed</th>
            <th>Redeem Time</th>
          </tr>
        </thead>
        <tfoot>
          <tr>
            <th>Ticket Id</th>
            <th>Order Id</th>
            <th>Name</th>
            <th>Email</th>
            <th>Phone</th>
            <th>Is Redeemed</th>
            <th>Redeem Time</th>
          </tr>
        </tfoot>
        <tbody id="tableTicket">
          {% for ticket in tickets %}
          <tr>
            <td>{{ ticket.ticket_id }}</td>
            <td>{{ ticket.order.order_id }}</td>
            <td>{{ ticket.order.name }}</td>
            <td><a href="mailto:{{ ticket.order.email }}">{{ ticket.order.email }}</a></td>
            <td>{{ ticket.order.phone }}</td>
            <td>{{ ticket.redeemed }}</td>
            <td><span class='hide'>{{ ticket.updated_at|date:"YmdHis" }}</span>{{ ticket.updated_at }}</td>
          </tr>
          {% endfor %}
        </tbody>
      </table>
    </div>
  </div>
</div>
<script>
$(document).ready(function() {
  $('#ticketTable').DataTable({
    "order": [[ 6, "desc" ]]
  });
});

function refreshTable() {
  location.reload();
}
</script>
<style type="text/css">
  .btn-check {
    background-color: white;
    border: none;
    padding: 5px 5px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    border-radius: 8px;
  }

  .btn-check:hover {
    color: blue;
  }

  .btn-check-v {
    color: green;
  }

  .btn-check-x {
    color: red;
  }
</style>
{% endblock %}